#include <vcl.h>
#pragma hdrstop

#include "D2XXEvRead.h"
#pragma package(smart_init)

//---------------------------------------------------------------------------
__fastcall TD2XXReadEventThread::TD2XXReadEventThread(TD2XXDriver *D2XXDriver) : TThread(false)
{
  FD2XXDriver = D2XXDriver;
}

//---------------------------------------------------------------------------
void __fastcall TD2XXReadEventThread::Execute()
{
  while( !Terminated ){
    if( WaitForSingleObject(FD2XXDriver->reEvent, INFINITE) != WAIT_OBJECT_0 )  continue;
    Synchronize( DoOnReceived );
    // DoOnReceived();
  }
}

//---------------------------------------------------------------------------
void __fastcall TD2XXReadEventThread::DoOnReceived(void)
{
  if( FD2XXDriver->OnDataReceived )
      FD2XXDriver->OnDataReceived( FD2XXDriver, FD2XXDriver->IBuffUsed );
}

//---------------------------------------------------------------------------

